Bug 1884467 - gnome-tour shortcut keys not working
Summary: gnome-tour shortcut keys not working
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tour
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F33FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-10-02 05:04 UTC by Jens Petersen
Modified: 2021-11-30 16:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:27:14 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-tour issues 21 0 None None None 2020-10-05 12:57:19 UTC

Description Jens Petersen 2020-10-02 05:04:20 UTC
Description of problem:
When I install latest Fedora 33 or Rawhide Workstation,
and reach the Gnome Welcome Tour, the application is not
acting on shortcut keys to advance to the next screen.
The Next button is focused but not activated by the shortcut.
I am not sure if this was working earlier.

Version-Release number of selected component (if applicable):
gnome-tour-3.38.0-1.fc33
gnome-tour-3.38.0-1.fc34

How reproducible:
100%

Steps to Reproduce:
1. setup new gnome session
2. Wait for Tour to appear
3. Press Alt-N to move to next screen

Actual results:
3. Next button is focused, but does not get activated to move to the next screen.
   Instead repeatedly pressing Alt-N, toggle the focus of the Next button gtk widget

Expected results:
3. Tour to proceed to the next screen.

Comment 1 Jens Petersen 2020-10-02 05:05:41 UTC
Obviously it is easy to workaround with the mouse, but it doesn't give a good impression so it would be good if this got fixed.

Comment 2 Jens Petersen 2020-10-02 05:12:27 UTC
Also going back works (with Alt-P), so it seems just a problem with Alt-N.
Also if I switch to German say, then I can move on (with Alt-W),
so it might be a translation/gettext related issue.

Comment 3 Kalev Lember 2020-10-02 05:21:46 UTC
Upstream issue: https://gitlab.gnome.org/GNOME/gnome-tour/-/issues/21

Comment 4 Geoffrey Marr 2020-10-05 20:10:41 UTC
Discussed during the 2020-10-05 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Final)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-10-05/f33-blocker-review.2020-10-05-16.00.txt

Comment 5 Ben Cotton 2021-11-04 17:29:36 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-11-30 16:27:14 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.